var box = new TQHBox( 'tree_view' );
box.margin = 6;

var led = new KLed( box );
var check = new TQCheckBox(box);
var check2 = new TQCheckBox(box);

check.text = 'Light';
check2.text = 'Bounce';

check.connect( 'toggled(bool)', led, 'toggle()' );
check2.connect( 'toggled(bool)', check, 'toggled(bool)' );

box.show();
